Subject: Re: [PATCH net-next] net: phy: marvell: Ensure SGMII auto-negotiation is enabled for 88E1111

From: Russell King - ARM Linux admin <[email-masked]>
Date: Sat, 13 Feb 2021 01:09:08 +0000

On Fri, Feb 12, 2021 at 06:26:29PM -0600, Robert Hancock wrote:
> When 88E111 is operating in SGMII mode, auto-negotiation should be enabled

88E1111.

> on the SGMII side so that the link will come up properly with PCSes which
> normally have auto-negotiation enabled. This is normally the case when the
> PHY defaults to SGMII mode at power-up, however if we switched it from some
> other mode like 1000BaseX, as may happen in some SFP module situations,
> it may not be.

Do you actually have a module where this applies?

I have modules that do come up in 1000base-X mode, but do switch to
SGMII mode with AN just fine. So I'm wondering what the difference is.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!